Bug 805802 - Replace-brick operations just exits with operation failed.
Replace-brick operations just exits with operation failed.
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Amar Tumballi
Depends On:
Blocks: 817967
  Show dependency treegraph
Reported: 2012-03-22 03:57 EDT by Vijaykumar Koppad
Modified: 2014-08-24 20:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-24 13:25:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-03-22 03:57:21 EDT
Description of problem:
After adding bricks to a volume, with relace-brick operation, it exits with operation failed.

Version-Release number of selected component (if applicable):

How reproducible:Always

Steps to Reproduce:
1.Create and start a volume 
2.Add-brick to that volume 
3.Then perform any replace-brick operation.
Comment 1 Anand Avati 2012-03-22 07:19:25 EDT
CHANGE: http://review.gluster.com/3000 (glusterd: fix bugs of syncop for operations) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2012-03-22 07:30:43 EDT
CHANGE: http://review.gluster.com/3002 (glusterd: bring back the 'non-synctask' behavior) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.